Taiga
API ReferencePre EncounterNotesV1

Update note

Updates a note. The path must contain the most recent version to prevent races.

PUT
/notes/v1/{id}/{version}

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Path Parameters

id*pre-encounterNoteId

The unique identifier for a Note.

version*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

An object representing a Note.

Response Body

application/json

curl -X PUT "https://example.com/notes/v1/string/string" \  -H "Content-Type: application/json" \  -d '{    "value": "string"  }'
{  "id": "string",  "created_at": "2019-08-24T14:15:22Z",  "organization_id": "string",  "deactivated": true,  "version": 0,  "updated_at": "2019-08-24T14:15:22Z",  "updating_user_id": "string",  "value": "string",  "author_email": "string",  "author_name": "string"}